#
# spec file for package python-pytoml
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-pytoml
Version:        0.1.21
Release:        3.7
Summary:        TOML-0.4.0 parser/writer for Python
License:        MIT
URL:            https://github.com/avakar/pytoml
Source0:        https://files.pythonhosted.org/packages/source/p/pytoml/pytoml-%{version}.tar.gz
# toml-test for tests from author's fork with specific commit
Source1:        https://github.com/avakar/toml-test/archive/b212790.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python
BuildArch:      noarch
%python_subpackages

%description
A specs-conforming and strict parser and writer for TOML files.
The library currently supports version 0.4.0 of the specs.

The pytoml project is no longer being actively maintained.
Consider using the toml package instead.

%prep
%setup -q -n pytoml-%{version}
tar -C test -xzf%{SOURCE1}
cd test
mv toml-test-b212790a6b7367489f389411bda009e5ff765f20 toml-test

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
export PYTHONDONTWRITEBYTECODE=1
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} $python test/test.py

%files %{python_files}
%license LICENSE
%{python_sitelib}/pytoml/
%{python_sitelib}/pytoml-%{version}-py*.egg-info/

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Mar 12 2020 Tomáš Chvátal <tchvatal@suse.com>
- Fix build without python2
* Fri Aug  9 2019 Ondřej Súkup <mimi.vx@gmail.com>
- update to 0.1.21
- add "deprecation notice" to summary
  * Fix incorrectly stripped new-lines at the beginning of strings
* Thu Mar  7 2019 Tomáš Chvátal <tchvatal@suse.com>
- Fix the test call
* Fri Dec  7 2018 Tomáš Chvátal <tchvatal@suse.com>
- Fix fdupes call
- Update to 0.1.20:
  * many small bugfixes around
  * Include license file
- Update the test tgz tarball from the git
* Fri May 18 2018 bruno@ioda-net.ch
- Update to bugfix version 0.1.14
- Packaging
  + add raw source for LICENSE (next tgz will contain it)
  + spec-cleaner (date,url,license)
  + add %%check section to run tests
  + add specific author's fork tgz of toml-test
* Tue Jun 13 2017 bruno@ioda-net.ch
- Update to bugfix version 0.1.13
- Move to python singlespec build
- Update copyright year
- Use pythonhosted host for source download
- Use normal tar.gz source
* Mon Aug 29 2016 bruno@ioda-net.ch
- Update to bugfix revision 0.1.11
  - Fix issues with sort_key.
  - Tweak tests to handle failure correctly.
- A python3-pytoml packages is available in d:l:python3
  - Notice to packagers : if you update python2, update python3
    version too.
* Tue Jun 28 2016 kgronlund@suse.com
- Update sourcelink
* Tue Jun 28 2016 kgronlund@suse.com
- Updated description and license for package.
* Wed Jun  1 2016 kgronlund@suse.com
- Update to 0.1.10
* Wed Jan 27 2016 mvyskocil@opensuse.org
- Initial openSUSE packaging
